_PurpleSslConnection Struct Reference

## Data Fields

char * | host
| Hostname to which the SSL connection will be made.
int | port
| Port to connect to.
void * | connect_cb_data
| Data to pass to PurpleSslConnection::connect_cb()
PurpleSslInputFunction | connect_cb
| Callback triggered once the SSL handshake is complete.
PurpleSslErrorFunction | error_cb
| Callback triggered if there is an error during connection.
void * | recv_cb_data
| Data passed to PurpleSslConnection::recv_cb()
PurpleSslInputFunction | recv_cb
| User-defined callback executed when the SSL connection receives data.
int | fd
| File descriptor used to refer to the socket.
guint | inpa
| Glib event source ID; used to refer to the received data callback in the glib eventloop.
PurpleProxyConnectData * | connect_data
| Data related to the underlying TCP connection.
void * | private_data
| Internal connection data managed by the SSL backend (GnuTLS/LibNSS/whatever)
PurpleCertificateVerifier * | verifier
| Verifier to use in authenticating the peer.

## Detailed Description

Definition at line 50 of file sslconn.h.

The documentation for this struct was generated from the following file:

- sslconn.h